Loading...
Searching...
No Matches
pappso::FilterMorphoMean Class Reference

mean filter apply mean of y values inside the window : this results in a kind of smoothing More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoMean:

## Public Member Functions

| FilterMorphoMean (std::size_t half_window_size)
| FilterMorphoMean (const FilterMorphoMean &other)
virtual | ~FilterMorphoMean ()
FilterMorphoMean & | operator= (const FilterMorphoMean &other)
double | getWindowValue (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end) const override
std::size_t | getMeanHalfEdgeWindows () const
Public Member Functions inherited from pappso::FilterMorphoWindowBase
| FilterMorphoWindowBase (std::size_t half_window_size)
| FilterMorphoWindowBase (const FilterMorphoWindowBase &other)
virtual | ~FilterMorphoWindowBase ()
FilterMorphoWindowBase & | operator= (const FilterMorphoWindowBase &other)
virtual Trace & | filter (Trace &data_points) const override
virtual std::size_t | getHalfWindowSize () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Additional Inherited Members

Protected Attributes inherited from pappso::FilterMorphoWindowBase
std::size_t | m_halfWindowSize = 0

## Detailed Description

mean filter apply mean of y values inside the window : this results in a kind of smoothing

Definition at line 209 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoMean() [1/2]

FilterMorphoMean::FilterMorphoMean | ( | std::size_t | half_window_size | ) |

Definition at line 414 of file filtermorpho.cpp.

: FilterMorphoWindowBase(half_window_size)
{
}
pappso::FilterMorphoWindowBase
base class that apply a signal treatment based on a window
Definition filtermorpho.h:41

## FilterMorphoMean() [2/2]

FilterMorphoMean::FilterMorphoMean | ( | const FilterMorphoMean & | other | ) |

Definition at line 418 of file filtermorpho.cpp.

: FilterMorphoWindowBase(other.m_halfWindowSize)
{
}
pappso::FilterMorphoWindowBase::m_halfWindowSize
std::size_t m_halfWindowSize
Definition filtermorpho.h:43

## ~FilterMorphoMean()

virtual pappso::FilterMorphoMean::~FilterMorphoMean | ( |  | ) |

inline virtual

Definition at line 215 of file filtermorpho.h.

{};

## Member Function Documentation

## getMeanHalfEdgeWindows()

std::size_t FilterMorphoMean::getMeanHalfEdgeWindows | ( |  | ) | const

Definition at line 432 of file filtermorpho.cpp.

{
return m_halfWindowSize;
}

References pappso::FilterMorphoWindowBase::m_halfWindowSize.

Referenced by pappso::TraceDetectionZivy::detect(), pappso::TraceDetectionMoulon::getSmoothingHalfEdgeWindows(), and pappso::TraceDetectionZivy::getSmoothingHalfEdgeWindows().

## getWindowValue()

double FilterMorphoMean::getWindowValue | ( | std::vector< DataPoint >::const_iterator | begin,
|  | std::vector< DataPoint >::const_iterator | end
| ) |  | const

override virtual

Implements pappso::FilterMorphoWindowBase.

Definition at line 438 of file filtermorpho.cpp.

{
return meanYTrace(begin, end);
}
pappso::meanYTrace
double meanYTrace(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
calculate the mean of y value of a trace
Definition trace.cpp:253

References pappso::meanYTrace().

## operator=()

FilterMorphoMean & FilterMorphoMean::operator= | ( | const FilterMorphoMean & | other | ) |

Definition at line 424 of file filtermorpho.cpp.

{
m_halfWindowSize = other.m_halfWindowSize;
return *this;
}

References pappso::FilterMorphoWindowBase::m_halfWindowSize.

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtermorpho.h
- pappsomspp/processing/filters/filtermorpho.cpp